|  | Home | Documentation | soap_ios_data Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_ios_data Struct Reference

soap_ios plugin data to override callbacks and store states to manipulate SOAP connection using iOS libraries More...

`#include <gsoapios.h>`

Collaboration diagram for soap_ios_data:
[legend]

## Public Attributes

GSoapiOSURLData * | url_data
char * | buf
size_t | len
const char * | res_msg
size_t | res_len
SOAP_SOCKET(* | fopen )(struct soap *, const char *, const char *, int)
int(* | fclose )(struct soap *)
int(* | fsend )(struct soap *, const char *, size_t)
size_t(* | frecv )(struct soap *, char *, size_t)

## Detailed Description

soap_ios plugin data to override callbacks and store states to manipulate SOAP connection using iOS libraries

## Member Data Documentation

## ◆ buf

char* soap_ios_data::buf

## ◆ fclose

int(* soap_ios_data::fclose) (struct soap *)

## ◆ fopen

SOAP_SOCKET(* soap_ios_data::fopen) (struct soap *, const char *, const char *, int)

## ◆ frecv

size_t(* soap_ios_data::frecv) (struct soap *, char *, size_t)

## ◆ fsend

int(* soap_ios_data::fsend) (struct soap *, const char *, size_t)

## ◆ len

size_t soap_ios_data::len

## ◆ res_len

size_t soap_ios_data::res_len

## ◆ res_msg

const char* soap_ios_data::res_msg

## ◆ url_data

GSoapiOSURLData* soap_ios_data::url_data

The documentation for this struct was generated from the following file:

- gsoapios.h